Bug 709928 - Review Request: publican-openshift - Common documentation files for the OpenShift brand
Review Request: publican-openshift - Common documentation files for the OpenS...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2011-06-01 22:21 EDT by David O'Brien
Modified: 2015-01-12 03:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-03 14:09:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David O'Brien 2011-06-01 22:21:25 EDT
Spec URL: http://obriend.fedorapeople.org/OpenShift/publican-openshift.spec
SRPM URL: http://obriend.fedorapeople.org/OpenShift/publican-openshift-0.4-1.fc15.src.rpm
Description: This package provides the common files, templates and images needed to build documentation for OpenShift products with publican.
Comment 1 David O'Brien 2011-06-01 22:42:41 EDT
Link to the Koji build for this package:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3103206

rpmlint output:

$ rpmlint ~/rpmbuild/SPECS/publican-openshift.spec
/home/rocket/rpmbuild/SPECS/publican-openshift.spec:14: W: mixed-use-of-spaces-and-tabs (spaces: line 14, tab: line 5)
/home/rocket/rpmbuild/SPECS/publican-openshift.spec: E: specfile-error sh: line 0: test: ==: unary operator expected
/home/rocket/rpmbuild/SPECS/publican-openshift.spec: E: specfile-error sh: line 0: test: ==: unary operator expected
0 packages and 1 specfiles checked; 2 errors, 1 warnings.

$ rpmlint ~/rpmbuild/SRPMS/publican-openshift-0.4-1.fc15.src.rpm
publican-openshift.src:14: W: mixed-use-of-spaces-and-tabs (spaces: line 14, tab: line 5)
publican-openshift.src: E: specfile-error sh: line 0: test: ==: unary operator expected
publican-openshift.src: E: specfile-error sh: line 0: test: ==: unary operator expected
1 packages and 0 specfiles checked; 2 errors, 1 warnings.

$ rpmlint ~/rpmbuild/RPMS/noarch/publican-openshift-0.4-1.fc15.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 2 Ruediger Landmann 2011-06-01 23:24:34 EDT
(In reply to comment #1)

> mixed-use-of-spaces-and-tabs (spaces: line 14, tab: line 5)

Most of the time, you've used a tab to separate field labels from their contents, but used spaces in these two lines:

ExclusiveArch:   i686 x86_64
BuildArch:   noarch

Please replace the spaces in these two lines with tabs. You can have one or the other, but you can't mix up the two styles in the one spec file.

> 0: test: ==: unary operator expected

This is occurring because {?dist} is undefined in whatever environment you're running rpmlint in; this won't be an error in an actual build, since {?dist} will always be defined. Safe to ignore.

When you've fixed the mixed-spaces-and tabs issue, please:
* bump the Release number in the spec file (and make a note in the %changelog)
* rebuild the package
* run rpmlint over the spec, SRPM, and RPM and post the fresh results here
* if no new errors have appeared, you should also:
** upload the new spec and SRPM somewhere on the web and link to them here
** do a fresh scratchbuild in Koji and link to it here.

Cheers
Rudi
Comment 3 David O'Brien 2011-06-02 01:39:04 EDT
Errors fixed and rebuilt.


$ rpmlint ~/rpmbuild/SPECS/publican-openshift.spec
/home/rocket/rpmbuild/SPECS/publican-openshift.spec: E: specfile-error sh: line 0: test: ==: unary operator expected
/home/rocket/rpmbuild/SPECS/publican-openshift.spec: E: specfile-error sh: line 0: test: ==: unary operator expected
0 packages and 1 specfiles checked; 2 errors, 0 warnings.

$ rpmlint ~/rpmbuild/SRPMS/publican-openshift-0.4-3.fc15.src.rpm
publican-openshift.src: E: specfile-error sh: line 0: test: ==: unary operator expected
publican-openshift.src: E: specfile-error sh: line 0: test: ==: unary operator expected
1 packages and 0 specfiles checked; 2 errors, 0 warnings.

$ rpmlint ~/rpmbuild/RPMS/noarch/publican-openshift-0.4-3.fc15.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Updated .spec file:
http://obriend.fedorapeople.org/OpenShift/publican-openshift.spec

Updated SRPM:
http://obriend.fedorapeople.org/OpenShift/publican-openshift-0.4-3.fc15.src.rpm

New koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3104813
Comment 4 Ruediger Landmann 2011-06-02 20:35:28 EDT
Thanks David -- that all looks good now.

I see you're not a packager already, so this will be an informal review and you'll still need to get someone to sponsor you. (You should have set FE-NEEDSPONSOR as a blocker, as explained on the Package Review Process page[1]; I'm setting it now). 

[1] http://fedoraproject.org/wiki/Package_Review_Process

 - = N/A
 / = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [/] Rpmlint output is clean:
$ rpmlint SPECS/publican-openshift.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint SRPMS/publican-openshift-0.4-3.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint RPMS/noarch/publican-openshift-0.4-3.fc15.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

 [/] Package is named according to the Package Naming Guidelines.
 [/] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [/] Package meets the Packaging Guidelines including the Language specific
items
 [/] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [/] License field in the package spec file matches the actual license.
     License type: CC-BY-SA
 [/] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [/] Spec file is legible and written in American English.
 [/] Sources used to build the package matches the upstream source, as provided
in the spec URL.
$ md5sum SOURCES/publican-openshift-0.4.tgz 
ffea07709e3a3c66050452718833d359  SOURCES/publican-openshift-0.4.tgz
$ md5sum ~/Download/publican-openshift-0.4.tgz 
ffea07709e3a3c66050452718833d359  /home/rlandmann/Download/publican-openshift-0.4.tgz

 [/] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
http://koji.fedoraproject.org/koji/taskinfo?taskID=3104813

 [/] Package is not known to require ExcludeArch
Not for Fedora anyway; the ExcludeArch applies only to RHEL6, where dependency problems restrict the package to x86

 [/] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly (with the %find_lang macro)
 [-] ldconfig called in %post and %postun if required.
 [/] Package does not bundle copies of system libraries
 [/] Package is not relocatable.
 [/] Package must own all directories that it creates.
 [/] Package does not contain duplicates in %files.
 [/] Permissions on files are set properly
 [/] %files section includes a %defattr(...) line
 [/] Package consistently uses macros.
 [-] Large documentation files are in a -doc subpackage, if required.
 [/] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Development .so files in -devel subpackage, if present.
 [-] -devel packages require base package with full versioning.
 [/] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [/] Package does not own files or directories owned by other packages.
 [/] Filenames are valid UTF-8
Comment 5 Miroslav Suchý 2011-11-22 15:52:17 EST
That test for RHEL6 can be done using standard macro:
%if 0%{?rhel} && 0%{?rhel} < 6
  foo
%endif
You do not need to define your own.

Buildroot is not need to be defined, unless you plan to create RHEL5 version for EPEL.

Tag Group is ignored since Fedora 10+

Otherwise it looks good to me.
Comment 6 Miroslav Suchý 2012-08-04 12:40:38 EDT
ping any progress here?
Comment 7 Miroslav Suchý 2012-10-16 09:22:12 EDT
ping any progress here?
Comment 8 David O'Brien 2012-10-16 21:44:55 EDT
Not just yet. OpenShift team is in the middle of heavy devel and this ticket is not very high up the list.

Will get to it as soon as I can. Thanks for watching.
Comment 9 Miro Hrončok 2014-01-03 05:47:35 EST
(sorry a mistake)
Comment 10 Troy Dawson 2014-10-03 14:09:22 EDT
Closing Review Request.
The latest versions of this package is no longer supported on Fedora, and is not expected to be in the future.
Thank you for everyone's efforts in reviewing this package up to this point.
Comment 11 Parag AN(पराग) 2015-01-12 03:10:29 EST
Removing FE-NEEDSPONSOR from the closed review tickets.

Note You need to log in before you can comment on or make changes to this bug.